[unity8] alt drag a child window doesn't work

Bug #1664947 reported by dinamic on 2017-02-15
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Canonical System Image
Undecided
Michał Sawicz
unity8 (Ubuntu)
Undecided
Daniel d'Andrada

Bug Description

ubuntu 17.04 unity8

open a random app, tiled or kate or whatever, open a child window (help/about or whatever) and then try to move the window with alt left click, press alt left click inside the window and drag (move the mouse). it doesn't work. it does work with the main window

Related branches

Changed in unity8 (Ubuntu):
assignee: nobody → Daniel d'Andrada (dandrader)
Michał Sawicz (saviq) on 2017-02-15
Changed in canonical-devices-system-image:
assignee: nobody → Michał Sawicz (saviq)
tags: added: unity8-desktop
Changed in unity8 (Ubuntu):
status: New → In Progress
dinamic (dinamic6661) wrote :
Download full text (4.8 KiB)

testing silo 2481, seems to work fine with qt apps but it crashes unity8 with gtk apps, don't know why o_O (using xenial + overlay PPA, test with gnome calculator or rhytmbox)

[2017-02-22:21:07:02.107] qtmir.applications: Application["gnome-calculator"]::Application()
[2017-02-22:21:07:02.107] toplevelwindowmodel: prependPlaceholder(gnome-calculator)
[2017-02-22:21:07:02.191] toplevelwindowmodel: setFocusedWindow(Window[0x1047eb0, id=3, null])
[2017-02-22:21:07:02.192] toplevelwindowmodel: prependSurfaceHelper after (index=0,appId=gnome-calculator,surface=0x0,id=3),(index=1,appId=com.ubuntu.terminal,surface=0x2cadbd0,id=2),(index=2,appId=unity8-dash,surface=0x2ce8720,id=1)
[2017-02-22:21:07:02.192] qtmir.applications: Application["gnome-calculator"]::setExemptFromLifecycle(true)
[2017-02-22:21:07:02.193] qtmir.surfaces: MirSurface[0x2cadbd0,"com.ubuntu.terminal"]::setFocused(false)
[2017-02-22:21:07:02.335] qtmir.mir: SessionAuthorizer::connection_is_allowed - this= SessionAuthorizer(0x7fe8a80b3620) pid= 22654
[2017-02-22:21:07:02.337] qtmir.mir: SessionAuthorizer::configure_display_is_allowed - this= SessionAuthorizer(0x7fe8a80b3620) pid= 22654
[2017-02-22:21:07:02.337] qtmir.mir: SessionAuthorizer::set_base_display_configuration_is_allowed - this= SessionAuthorizer(0x7fe8a80b3620) pid= 22654
[2017-02-22:21:07:02.337] qtmir.mir: SessionAuthorizer::screencast_is_allowed - this= SessionAuthorizer(0x7fe8a80b3620) pid= 22654
[2017-02-22:21:07:02.337] qtmir.mir: SessionAuthorizer::prompt_session_is_allowed - this= SessionAuthorizer(0x7fe8a80b3620) pid= 22654
[2017-02-22:21:07:02.348] qtmir.sessions: TaskController::onSessionStarting - sessionName=GDK-Mir
[2017-02-22:21:07:02.348] qtmir.applications: Application["gnome-calculator"]::setSession(session=qtmir::Session(0x13be770))
[2017-02-22:21:07:02.826] file:///usr/lib/x86_64-linux-gnu/qt5/qml/Ubuntu/Components/1.3/Icon.qml:115:5: QML Image: Cannot open: file:///home/pixel/.face
[2017-02-22:21:07:02.832] file:///usr/lib/x86_64-linux-gnu/qt5/qml/Ubuntu/Components/ListItems/1.3/ThinDivider.qml:50:15: Unable to assign null to QQuickAnchorLine
[2017-02-22:21:07:02.833] file:///usr/lib/x86_64-linux-gnu/qt5/qml/Ubuntu/Components/ListItems/1.3/ThinDivider.qml:51:16: Unable to assign null to QQuickAnchorLine
[2017-02-22:21:07:02.929] qtmir.surfaces: MirSurface[0x2dae880,"gnome-calculator"]::MirSurface(type=normal,state=restored,size=(473,356),parentSurface=QObject(0x0))
[2017-02-22:21:07:02.929] qtmir.surfaces: MirSurface[0x2dae880,"gnome-calculator"]::registerView(46248000) after=1
[2017-02-22:21:07:02.930] qtmir.surfaces: MirSurface[0x2dae880,"gnome-calculator"]::setKeymap("us")
[2017-02-22:21:07:02.936] toplevelwindowmodel: prependSurface appId=gnome-calculator surface=qtmir::MirSurface(0x2dae880), filling out placeholder. after: (index=0,appId=gnome-calculator,surface=0x2dae880,id=3),(index=1,appId=com.ubuntu.terminal,surface=0x2cadbd0,id=2),(index=2,appId=unity8-dash,surface=0x2ce8720,id=1)
[2017-02-22:21:07:02.936] toplevelwindowmodel: setFocusedWindow(0x0)
[2017-02-22:21:07:02.957] qtmir.surfaces: MirSurface[0x2dae880,"gnome-calculator"]::setFocused(true)
[2017-02-22:21:07:02.960] qtmir.surfaces: ...

Read more...

dinamic (dinamic6661) wrote :

[2017-02-22:21:07:03.154] qtmir.surfaces: MirSurface[0x2dae880,"gnome-calculator"]::requestState(restored)
terminate called after throwing an instance of 'std::out_of_range'
  what(): map::at
()

maybe this? but i don't know what it means

dinamic (dinamic6661) wrote :

same with solitaire, when i open a child window and drag it crashes unity

http://paste.ubuntu.com/24048278/

Daniel d'Andrada (dandrader) wrote :

I don't get those crashes with gtk applications.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package unity8 - 8.15+17.04.20170308-0ubuntu1

---------------
unity8 (8.15+17.04.20170308-0ubuntu1) zesty; urgency=medium

  [ Albert Astals Cid ]
  * Let's follow the keyboard order
  * Enable the license check (LP: #1590044)
  * Show a barebones error message if loading the QML doesn't work
  * Make sure cursor is back to normal when closing the window (LP:
    #1666158)
  * Fix small warning when sensitive is undefined
  * Remove unused member variable
  * Initialize m_msecsSinceReference
  * Add warning if registerService fails
  * Move menus Component {} out of the repeater
  * Add tool to browse menus of a running app

  [ Daniel d'Andrada ]
  * Drag child windows with Alt+LeftMouseButton (LP: #1664947)

  [ Gerry Boland ]
  * TopLevelWindowModel: connect to the OSK surface to know when it goes
    away so we can clean up after it. (LP: #1670681)

  [ Josh Arenson ]
  * Initialize sessionMode to single when mock is reset (LP: #1667463)

  [ Lukáš Tinkl ]
  * Make the menu string "Back" translatable
  * Let the OSK be driven by a switch in indicator-keyboard (LP:
    #1521518)
  * Disable the tutorial when there's no touchscreen (LP: #1661557)
  * Shell chrome fixes (LP: #1658117, #1665723, #1665724, #1669010)
  * Cancel the drag as soon as we're entering the spread (LP: #1668642)
  * Fix being unable to use window control buttons or menus with touch
    (LP: #1667604, #1668387)

  [ Michael Terry ]
  * Set QT_IM_MODULE in the greeter so that the OSK can come up. (LP:
    #1670383)
  * Simplify our startup handling of Mir environment variables and set
    the right socket path in snappy.

  [ Michael Zanetti ]
  * Cancel the home key activation if something else is pressed along
    with Meta (LP: #1670678)
  * close the drawer when something is launched from the launcher (LP:
    #1660367)
  * use a svg instead of a png for the Launcher's BFB (LP: #1668057)
  * change the default setting for the launcher autohiding (LP:
    #1670655)

  [ Nick Dedekind ]
  * Split up Shell::test_spreadDisabled to ensure initial state for each
    test.

 -- Michał Sawicz <email address hidden> Wed, 08 Mar 2017 09:56:46 +0000

Changed in unity8 (Ubuntu):
status: In Progress → Fix Released
Michał Sawicz (saviq) on 2017-03-13
Changed in canonical-devices-system-image:
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers